<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('_road_technical_buildings', function (Blueprint $table) {
            $table->foreign(['province_id'], 'road_technical_buildings_province_id_foreign')->references(['id'])->on('provinces')->onUpdate('cascade')->onDelete('set null');
            $table->foreign(['user_id'], 'road_technical_buildings_user_id_foreign')->references(['id'])->on('users')->onUpdate('cascade')->onDelete('set null');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('_road_technical_buildings', function (Blueprint $table) {
            $table->dropForeign('road_technical_buildings_province_id_foreign');
            $table->dropForeign('road_technical_buildings_user_id_foreign');
        });
    }
};
